<?php
$GLOBALS['title'] = "رپید کد - آموزش اتصال به زیبال در PHP";
require_once $_SERVER['DOCUMENT_ROOT'] . "/parts/header.php";

$trackId = $_GET['trackId'] ?? null;


$message = [
    "text" => "",
    "css_class" => ""
];


if ($trackId) {
    $res = verifyZibal($trackId);

    /*
    $res['result'] :
        100 -> Paid (first time page seen)
        201 -> Verified (second time or more)
    */
   
    if (!empty($res['result']) && ($res['result'] == 100 || $res['result'] == 201)) {
        $amount = $res['amount'] ?? false;
        $order_id = intval($res['orderId'] ?? 0);

        $amount_currency = $amount ? " به مبلغ " . $amount/10 . " تومان" : "";
        $order_id_message = $order_id ? " و شماره سفارش {$order_id}" : "";

        $message['text'] = "خرید موفق{$amount_currency}{$order_id_message}";
        $message['css_class'] = "bg-primary text-white";
    } else {
        $message['text'] = "خرید ناموفق";
        $message['css_class'] = "bg-danger";
    }
    
} else {
    $message['text'] = "پارامتر نامعتبر";
    $message['css_class'] = "bg-danger";
}

?>

<p class="text-center p-2 rounded fw-bold <?= $message['css_class'] ?>"><?= $message['text'] ?></p>


<?php
require_once $_SERVER['DOCUMENT_ROOT'] . "/parts/footer.php";
?>